%{?mingw_package_header}

%global _basename taglib

%bcond_without tests

Name:       mingw-%{_basename}
Summary:    Audio Meta-Data Library
Version:    1.11.1
Release:    3%{?dist}

License:    LGPLv2 or MPLv1.1
URL:        https://taglib.github.io/
Source0:    https://taglib.github.io/releases/%{_basename}-%{version}.tar.gz
Patch0:     taglib-1.5rc1-multilib.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-zlib

BuildRequires:  cmake
%if %{with tests}
#BuildRequires: cppunit-devel
%endif

%description
TagLib is a library for reading and editing the meta-data of several
popular audio formats. Currently it supports both ID3v1 and ID3v2 for MP3
files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC,
Speex, WavPack, TrueAudio files, as well as APE Tags.


%package -n mingw32-%{_basename}
Summary: MinGW Windows version of TagLib for the win32 target
Group: Development/Libraries

%description -n mingw32-%{_basename}
TagLib is a library for reading and editing the meta-data of several
popular audio formats.
This is the MinGW version, built for the win32 target.

%package -n mingw64-%{_basename}
Summary: MinGW Windows version of TagLib for the win64 target
Group: Development/Libraries

%description -n mingw64-%{_basename}
TagLib is a library for reading and editing the meta-data of several
popular audio formats.
This is the MinGW version, built for the win64 target.


%{?mingw_debug_package}


%prep
%setup -q -n %{_basename}-%{version}
%patch0 -p1 -b .multilib


%build
%{mingw_cmake} \
  %{?with_tests:-DBUILD_TESTS:BOOL=ON} \
  ..
%{mingw_make} %{?_smp_mflags}


%install
%{mingw_make} install/fast DESTDIR=%{buildroot}


%files -n mingw32-%{_basename}
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{mingw32_bindir}/libtag.dll
%{mingw32_bindir}/libtag_c.dll
%{mingw32_bindir}/taglib-config.cmd
%{mingw32_includedir}/taglib/
%{mingw32_libdir}/libtag.dll.a
%{mingw32_libdir}/libtag_c.dll.a
%{mingw32_libdir}/pkgconfig/taglib.pc
%{mingw32_libdir}/pkgconfig/taglib_c.pc

%files -n mingw64-%{_basename}
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{mingw64_bindir}/libtag.dll
%{mingw64_bindir}/libtag_c.dll
%{mingw64_bindir}/taglib-config.cmd
%{mingw64_includedir}/taglib/
%{mingw64_libdir}/libtag.dll.a
%{mingw64_libdir}/libtag_c.dll.a
%{mingw64_libdir}/pkgconfig/taglib.pc
%{mingw64_libdir}/pkgconfig/taglib_c.pc


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Oct 24 2016 David King <amigadave@amigadave.com> - 1.11.1-1
- Update to 1.11.1

* Thu Jun 09 2016 David King <amigadave@amigadave.com> - 1.11-1
- Update to 1.11

* Fri Mar 18 2016 David King <amigadave@amigadave.com> - 1.11-0.2.beta2
- Update to 1.11beta2

* Thu Feb 11 2016 David King <amigadave@amigadave.com> - 1.11-0.1.beta
- Update to 1.11beta

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 David King <amigadave@amigadave.com> - 1.10-1
- Update to 1.10

* Wed Aug 26 2015 David King <amigadave@amigadave.com> - 1.10-0.1.beta
- Update to 1.10beta

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 David King <amigadave@amigadave.com> 1.9.1-3
- Update to 1.9.1-3 from Fedora (#1077935)

* Fri May 17 2013 Steven Boswell <ulatekh@yahoo.com> 1.8-3.20121215git
- Ported Fedora package to MinGW
